%{!?kernel: %{expand: %%define kernel %(uname -r)}}
%define name eagle
%define ver 1.9.3
%define rel 1
%define prefix /usr

Summary: Utilities for Eagle driven usb modem
Name: %{name}
Version: %{ver}
Release: %{rel}
Copyright: GPL
Group: Networking/Daemons
Packager: Herve Guehl <herve@linusk.net>
Source0: %{name}-%{ver}.tar.gz
URL: http://eagle-usb.fr.st
Buildroot: %{_tmppath}/%{name}-root

%description
This is an enhanced version of the Linux driver for DSL modems based
on the Analog chipset Eagle 8051. The Sagem F@st 800 modem as well as
USRobotics DSL modems are based on this chipset.
  The latest revision of this driver can be found at the following URL:

http://www.eagle-usb.fr.st/

  You'll find a french newsgroup dedicated to this driver at
the following URL too:

http://www.eagle-usb.fr.st/

%package module-%{kernel}
Summary: Kernel module for Eagle driven usb modem
Group:System Environment/Kernel
%description module-%{kernel}
Kernel module for Analog chipset Eagle 8051 The Sagem F@st 800 modem as well as
USRobotics DSL modems are based on this chipset.


%prep

%setup -q

%build
./configure --prefix=%{prefix}
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/sbin/eaglectrl
/usr/sbin/eaglestat
/usr/sbin/pppoa
/usr/sbin/fctStartAdsl
/usr/sbin/fctStopAdsl
/usr/sbin/startmire
/usr/sbin/startadsl
/usr/sbin/stopadsl
/usr/sbin/eaglediag
/usr/sbin/eagleconfig
/etc/eagle-usb/lang
/etc/eagle-usb/lang/de
/etc/eagle-usb/lang/en
/etc/eagle-usb/lang/es
/etc/eagle-usb/lang/fr
/etc/eagle-usb/lang/it
/etc/eagle-usb/lang/pl
/etc/eagle-usb/scripts
/etc/eagle-usb/scripts/setvars
/etc/eagle-usb/scripts/eu_dsp
/etc/eagle-usb/scripts/eu_init
/etc/eagle-usb/scripts/usb.usermap
/etc/eagle-usb/scripts/options
/etc/eagle-usb/scripts/lock
/etc/eagle-usb/dsp_code_pots.bin
/etc/eagle-usb/dsp_code_isdn.bin
/etc/eagle-usb/eagle-usb.conf
/etc/sysconfig/network-scripts/net_cnx_up
/etc/sysconfig/network-scripts/net_cnx_down
/etc/sysconfig/network-scripts/net_cnx_pg

%config(noreplace) /etc/eagle-usb/eagle-usb.conf

%files module-%{kernel}
/lib/modules/%{kernel}/misc/eagle-usb.ko
%changelog
